﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum AttributeEnumType
    {
        /// <summary>
        ///  The actual value of the variable.
        /// </summary>
        Actual = 1,
        /// <summary>
        ///  The target value for this variable.
        /// </summary>
        Target,
        /// <summary>
        ///  The minimal allowed value for this variable
        /// </summary>
        MinSet,
        /// <summary>
        ///  Thne maximum allowed value for this variable
        /// </summary>
        MaxSet
    }
}
