﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum EventNotificationEnumType
    {
        /// <summary>
        /// The software implemented by the manufacturer triggered a hardwired notification.
        /// </summary>
        HardWiredNotification = 1,
        /// <summary>
        ///  Triggered by a monitor, which is hardwired by the manufacturer.
        /// </summary>
        HardWiredMonitor,
        /// <summary>
        /// Triggered by a monitor, which is preconfigured by the manufacturer.
        /// </summary>
        PreconfiguredMonitor,
        /// <summary>
        ///  Triggered by a monitor, which is set with the setvariablemonitoringrequest message by the Charging Station
        /// Operator.
        /// </summary>
        CustomMonitor
    }
}
