﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum GenericDeviceModelStatusEnumType
    {
        /// <summary>
        ///  Request has been accepted and will be executed.
        /// </summary>
        Accepted = 1,
        /// <summary>
        ///  Request has not been accepted and will not be executed.
        /// </summary>
        Rejected,
        /// <summary>
        ///  The content of the request message is not supported.
        /// </summary>
        NotSupported,
        /// <summary>
        ///  If the combination of received criteria result in an empty result set.
        /// </summary>
        EmptyResultSet
    }
}
