﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum MessageFormatEnumType
    {
        /// <summary>
        ///  Message content is ASCII formatted, only printable ASCII allowed.
        /// </summary>
        ASCII = 1,
        /// <summary>
        ///  Message content is HTML formatted.
        /// </summary>
        HTML,
        /// <summary>
        ///  Message content is URI that Charging Station should download and use to display. for example a HTML
        ///page to be shown in a web-browser.
        /// </summary>
        URI,
        /// <summary>
        ///  Message content is UTF-8 formatted.
        /// </summary>
        UTF8
    }
}
