﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum UnpublishFirmwareStatusEnumType
    {
        /// <summary>
        /// Intermediate state. Firmware is being downloaded.
        /// </summary>
        DownloadOngoing = 1,
        /// <summary>
        ///  There is no published file.
        /// </summary>
        NoFirmware,
        /// <summary>
        ///  Successful end state. Firmware file no longer being published.
        /// </summary>
        Unpublished
    }
}
