﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.DataTypes
{
    public class ModemType
    {
        /// <summary>
        /// This contains the ICCID of the modem’s SIM
        /// card.
        /// </summary>
        [StringLength(20, MinimumLength = 0)]
        public string Iccid { set; get; }

        /// <summary>
        /// This contains the IMSI of the modem’s SIM
        /// card.
        /// </summary>
        [StringLength(20, MinimumLength = 0)]
        public string Imsi { set; get; }
    }
}
