﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class ClearChargingProfileResponse
    {
        /// <summary>
        /// Returns whether the Charging Station has been
        ///able to remove the message.
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public ClearMessageStatusEnumType Status { set; get; }
    }
}
