﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class SetChargingProfileResponse
    {
        /// <summary>
        /// Returns whether the Charging Station has been
        ///able to process the message successfully.This does not
        ///guarantee the schedule will be followed to the letter.
        ///There might be other constraints the Charging Station
        ///may need to take into account.
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public ChargingProfileStatusEnumType Status { set; get; }


    }
}
