﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.DataTypes
{
    public class EVSEType
    {
        /// <summary>
        /// EVSE Identifier. This contains a number (> 0)
        ///designating an EVSE of the Charging Station.
        /// </summary>
        [Required]
        public int Id { set; get; }

        /// <summary>
        /// An id to designate a specific connector (on an
        /// EVSE) by connector index number.
        /// </summary>
        public int? ConnectorId { set; get; }
    }
}
