﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum GetCertificateIdUseEnumType
    {
        /// <summary>
        ///  Use for certificate of the V2G Root.
        /// </summary>
        V2GRootCertificate = 1,
        /// <summary>
        ///  Use for certificate from an eMobility Service provider. To support PnC charging with contracts from service
        ///providers that not derived their certificates from the V2G root.
        /// </summary>
        MORootCertificate,
        /// <summary>
        /// Root certificate for verification of the CSMS certificate.
        /// </summary>
        CSMSRootCertificate,
        /// <summary>
        ///  ISO 15118 V2G certificate chain (excluding the V2GRootCertificate).
        /// </summary>
        V2GCertificateChain,
        /// <summary>
        /// Root certificate for verification of the Manufacturer certificate.
        /// </summary>
        ManufacturerRootCertificate

    }
}
