﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public class MeterValuesRequest
    {
        /// <summary>
        /// This contains a number (>0) designating an
      ///  EVSE of the Charging Station. ‘0’ (zero) is used to
///designate the main power meter.
        /// </summary>
        [Required]
        public int EvseId { set; get; }

        /// <summary>
        /// The sampled meter values with timestamps
        /// </summary>
        [Required]
        public List<MeterValueType> MeterValue { set; get; }
    }
}
