﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum ReserveNowStatusEnumType
    {
        /// <summary>
        ///  Reservation has been made.
        /// </summary>
        Accepted = 1,
        /// <summary>
        ///  Reservation has not been made, because evse, connectors or specified connector are in a faulted state.
        /// </summary>
        Faulted,
        /// <summary>
        /// Reservation has not been made. The evse or the specified connector is occupied.
        /// </summary>
        Occupied,
        /// <summary>
        ///  Reservation has not been made. Charging Station is not configured to accept reservations.
        /// </summary>
        Rejected,
        /// <summary>
        ///  Reservation has not been made, because evse, connectors or specified connector are in an unavailable
        ///state.
        /// </summary>
        Unavailable
    }
}
