﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class CancelReservationResponse
    {
        /// <summary>
        /// This indicates the success or failure of the
        ///canceling of a reservation by CSMS.
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public CancelReservationStatusEnumType Status { set; get; }
    }
}
