﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class DataTransferResponse
    {
        /// <summary>
        /// This indicates the success or failure of the data
        /// transfer.
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public DataTransferStatusEnumType Status { set; get; }


        /// <summary>
        /// Data without specified length or format, in
        ///response to request
        /// </summary>
        public object Data { set; get; }

    }
}
