﻿using EVCB_OCPP.Packet20.DataTypes;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class SetChargingProfileRequest
    {
        /// <summary>
        /// The EVSE to which the charging profile applies.
        ///If evseId = 0, the message contains an overall limit for the
        ///Charging Station.
        /// </summary>
        [Required]
        public int EvseId { set; get; }

        /// <summary>
        /// The charging profile to be set at the Charging
        ///Station.
        /// </summary>
        [Required]
        public ChargingProfileType ChargingProfile { set; get; }


    }
}
